Bug 21962 - rpm -U and rpm -i silently ignore some packages
rpm -U and rpm -i silently ignore some packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-08 15:51 EST by redhat-bugzilla
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 18:25:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of packages which I am attempting to upgrade or install (479 bytes, text/plain)
2000-12-08 16:03 EST, redhat-bugzilla
no flags Details
Output of "rpm -qa" before/after "rpm -U ..." (4.65 KB, text/plain)
2000-12-08 16:05 EST, redhat-bugzilla
no flags Details
/var/lib/rpm from an example system that ignores the package (1.48 MB, application/octet-stream)
2000-12-08 16:06 EST, redhat-bugzilla
no flags Details
stdout+stderr output of "rpm -vv -U ..." attempting to upgrade; note that it says "found 17 packages" at the top, but only reports on 16 files at the bottom (24.72 KB, text/plain)
2000-12-08 16:09 EST, redhat-bugzilla
no flags Details

  None (edit)
Description redhat-bugzilla 2000-12-08 15:51:57 EST
Suppose these packages are installed:
	foo-1.3.0-5
	bar-2.7.1-16
and I have RPMs for foo, bar, and baz, and run this command:
	rpm -U foo-1.3.0-5.i386.rpm bar-2.7.1-16.i386.rpm \
		baz-1.5.2-2.i386.rpm
rpm will complain about foo and bar:
	package foo-1.3.0-5 is already installed
	package bar-2.7.1-16 is already installed
but rpm seems to *ignore* baz entirely. rpm --install with the same files
behaves the same.

The application is this: I have a central directory of RPMs that 
lots of Red Hat machines must have; some of these are new packages,
others are updated versions of currently-installed packages. I need to
have a job run automatically to install and update newer versions.
Comment 1 redhat-bugzilla 2000-12-08 16:03:16 EST
Created attachment 6231 [details]
List of packages which I am attempting to upgrade or install
Comment 2 redhat-bugzilla 2000-12-08 16:05:35 EST
Created attachment 6232 [details]
Output of "rpm -qa" before/after "rpm -U ..."
Comment 3 redhat-bugzilla 2000-12-08 16:06:53 EST
Created attachment 6233 [details]
/var/lib/rpm from an example system that ignores the package
Comment 4 redhat-bugzilla 2000-12-08 16:09:16 EST
Created attachment 6234 [details]
stdout+stderr output of "rpm -vv -U ..." attempting to upgrade; note that it says "found 17 packages" at the top, but only reports on 16 files at the bottom
Comment 5 redhat-bugzilla 2000-12-08 16:31:37 EST
Note that in the particular case documented in the attachments, I'm trying
to install the package mtx-1.2.7-3

Comment 6 Jeff Johnson 2000-12-22 09:54:06 EST
This is transaction set behavior, either all the packages are installed, or
none.

You want to use --freshen  (aka -F) rather than -U, as that will filter
uninstalled and
older packages from the package list before attempting the upgrade.

Note You need to log in before you can comment on or make changes to this bug.